#slim-coin {
    filter: drop-shadow(2px 2px 5px rgba(0, 0, 0, 0.75));
}

#coin {
    animation: spin 2s linear infinite;
    transform-style: preserve-3d;
}

#hidden {
    display: none;
}

.hide-caret{
    caret-color: transparent;
}

h2.pageTitle {
    color: #b38f5f;
    text-shadow: 2px 2px 5px black;
    cursor: default;
    padding-top: 4px;
    margin-block-end: 0.4em;
    font-weight:normal;
}

h2.pageTitle a {
    cursor: pointer;
}

h2.page-title {
    font-weight:normal;
    text-shadow: 2px 2px 5px black;
}

h3 {
    margin-block-end: 0em;
    color: #b38f5f;
    text-shadow: 2px 2px 5px black;
    font-size: 14px;
}

h3 a:link {
    color: #b38f5f;
}

h3 a:visited {
    color: #b38f5f;
}

h3 a:hover {
    color: #e4d8a6;
}

.gold {
    color: #e4d8a6;
}

.shadow {
    box-shadow: 7px 7px 5px 0px rgba(22, 26, 29, 0.75);
}

.img-auto {
    vertical-align: middle;
    margin: auto;
}

.sub-menu {
    color: #e4d8a6;
}

.dashTable {
    border: 1px solid #333;
    box-shadow: 7px 7px 5px 0px rgba(22, 26, 29, 0.75);
    border-collapse: separate;
    border-spacing: 0;
    border-radius: 10px;
    old-background-color: #434f56;
    background-color: #384247;
    opacity: 1;
    transition: all 1s ease-in-out;
}

.dashTable th:first-child {
    border-top-left-radius: 10px;
}

.dashTable th:last-child {
    border-top-right-radius: 10px;
}

.dashTable th {
    padding-top: 8px;
    padding-bottom: 8px;
    padding-left: 8px;
    padding-right: 4px;
    cursor: default;
    font-size: 12px;
    font-weight: normal;
    text-align: center;
    vertical-align: middle;
    cursor: default;
    background: linear-gradient(to bottom, #4e5c65, #21272b);
    color: #b38f5f;
    text-shadow: 2px 2px 5px black;
    opacity: 1;
    transition: all 1s ease-in-out;
}

.dashTable td {
    padding-left: 8px;
    cursor: default;
    opacity: 1;
    transition: all 1s ease-in-out;
}

.dashHeader a:link {
    color: #b38f5f;
}

.dashHeader a:visited {
    color: #b38f5f;
}

.dashHeader a:hover {
    color: #e4d8a6;
}

.collapsibleDashTable {
    border: 1px solid #333;
    box-shadow: 7px 7px 5px 0px rgba(22, 26, 29, 0.75);
    border-collapse: separate;
    border-spacing: 0;
    border-radius: 10px;
    old-background-color: #434f56;
    background-color: #384247;
}

.collapsibleDashTable th:first-child {
    border-top-left-radius: 10px;
}

.collapsibleDashTable th:last-child {
    border-top-right-radius: 10px;
}

.collapsibleDashTable th.collapsed:first-child {
    border-bottom-left-radius: 10px;
}

.collapsibleDashTable th.collapsed:last-child {
    border-bottom-right-radius: 10px;
}

.collapsibleDashTable tbody {
    display: table-row-group;
}

.collapsibleDashTable tbody.collapsed {
    display: none;
}

.collapsibleDashTable th {
    padding-top: 4px;
    padding-bottom: 4px;
    padding-left: 4px;
    padding-right: 4px;
    cursor: default;
    font-size: 12px;
    font-weight: normal;
    text-align: center;
    vertical-align: middle;
    cursor: default;
    background: linear-gradient(to bottom, #4e5c65, #21272b);
    color: #b38f5f;
    text-shadow: 2px 2px 5px black;
}

.collapsibleDashTable td {
    padding-left: 8px;
    cursor: default;
}


.sortedTable {
    border: 1px solid #333;
    box-shadow: 7px 7px 5px 0px rgba(22, 26, 29, 0.75);
    border-collapse: separate;
    border-spacing: 0;
    border-radius: 10px;
    old-background-color: #434f56;
    background-color: #384247;
}

.sortedTable thead {
    border: 1px solid #333;
}

.sortedTable th {
    position: sticky;
    top: 0;
    background-color: #434f56;
    font-size: 12px;
    font-weight: normal;
    vertical-align: middle;
    cursor: pointer;
    background: linear-gradient(to bottom, #4e5c65, #21272b);
    color: #b38f5f;
    text-shadow: 2px 2px 3px #333;
    z-index: 1;
}

.sortedTable th:hover {
    background-color: #374147;
    background: linear-gradient(to bottom, #647682, #374248);
    color: #e4d8a6;
}

.sortedTable th:first-child {
    border-top-left-radius: 10px;
}

.sortedTable th:last-child {
    border-top-right-radius: 10px;
}

.sortedTable td {
    vertical-align: middle;
    position: relative;
}

.sortedTable tr:last-child {
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}

.tabbedTable {
    border: 1px solid #333;
    box-shadow: 7px 7px 5px 0px rgba(22, 26, 29, 0.75);
    border-collapse: separate;
    border-spacing: 0;
    border-top-right-radius: 10px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    background-color: #434f56;
}

.tabbedTable th {
    position: sticky;
    top: 0;
    background-color: #434f56;
    font-size: 12px;
    font-weight: normal;
    vertical-align: middle;
    cursor: pointer;
    background: linear-gradient(to bottom, #4e5c65, #21272b);
    border-bottom: 1px solid #333;
    color: #b38f5f;
    text-shadow: 2px 2px 3px #333;
    z-index: 1;
}

.tabbedTable th:last-child {
    border-top-right-radius: 10px;
}

.tabbedTable td {
    vertical-align: middle;
    position: relative;
}

.tabbedTable tr:last-child {
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}

tr.marketStatusRow {
    border-top: 1px solid #333333;
    cursor: pointer;
}

tr.marketStatusRow td {
    vertical-align: top;
}

td.marketStatusExchanges {
    color: #ddd;
    width: 200px;
}


th.miniHeader {
    color: #e4d8a6;
    font-size: 10px;
    font-weight: normal;
    text-align: left;
    vertical-align: top;
    border-top: 1px solid #bbbbbb;
    border-bottom: 1px solid #bbbbbb;
    cursor: pointer;
    padding: 0 4px;
}

th.miniHeader:hover {
    background-color: #4e5d65;
}

tr.dataRow {
    border-left: 1px solid #333;
    border-right: 1px solid #333;
    border-bottom: 1px solid #333;
    color: #ddd;
    vertical-align: middle;

}

tr.dataRow td {
    vertical-align: middle;
}

tr.dataRow:hover {
    background-color: #4e5d65;
    background: linear-gradient(to bottom, #4e5c65, #21272b);
    cursor: default;
}

tr.dataRow:last-child td:first-child {
    border-bottom-left-radius: 10px;
}

tr.dataRow:last-child td:last-child {
    border-bottom-right-radius: 10px;
}

tr.dataRowStatic {
    border-left: 1px solid #333;
    border-right: 1px solid #333;
    border-bottom: 1px solid #333;
    color: #ddd;
    vertical-align: middle;

}

tr.dataRowStatic td {
    vertical-align: middle;
}

tr.dataRowStatic:last-child td:first-child {
    border-bottom-left-radius: 10px;
}

tr.dataRowStatic:last-child td:last-child {
    border-bottom-right-radius: 10px;
}



.largeTable {
    overflow: hidden;
}

.largeTable td,
.largeTable th {
    border-left: 1px solid #333333;
    border-right: 1px solid #333333;
}

.tooltip {
    position: relative;
    display: inline-block;
    color: white;
    font-weight: normal;
}

.tooltip .tooltiptext {
    font-size: 10px;
    font-weight: normal;
    visibility: hidden;
    background-color: #f9f7eb;
    color: black;
    text-align: center;
    box-shadow: 7px 7px 5px 0px rgba(22, 26, 29, 0.75);
    border-radius: 6px;
    padding: 5px 3px;
    position: absolute;
    top: 23px;
    left: -12px;
    text-shadow: none;
}

.tooltiptext {
    font-size: 10px;
}

.tooltip:hover .tooltiptext {
    visibility: visible;
    z-index: 2;
}

.tooltip .tooltiptext::after {
    bottom: 100%;
    left: 10%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
    border-color: rgba(255, 255, 255, 0);
    border-bottom-color: #f3eed8;
    border-width: 6px;
    margin-left: -6px;
}

.tooltipBusCard .tooltiptextBusCard {
    visibility: hidden;
    width: 260px;
    background-color: #f9f7eb;
    color: black;
    text-align: center;
    box-shadow: 7px 7px 5px 0px rgba(22, 26, 29, 0.75);
    border-radius: 6px;
    padding: 5px 0;
    position: absolute;
    top: 20px;
    left: 10px;
}

.tooltipBusCard:hover .tooltiptextBusCard {
    visibility: visible;
    z-index: 2;
}

.tooltipBusCard .tooltiptextBusCard::after {
    bottom: 100%;
    left: 10%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
    border-color: rgba(255, 255, 255, 0);
    border-bottom-color: #f3eed8;
    border-width: 6px;
    margin-left: -6px;
}

.mpld3-tooltip {
    display: none;
}

.mpld3-xaxis,
.mpld3-yaxis {
    display: none;
}

.mpld3-figure {
    margin: 0;
    padding: 0;
    border: none;
}

.margin-left {
    margin-left: 8px;
}

.margin-right {
    margin-right: 8px;
}

.margin-top {
    margin-top: 8px;
}

.margin-top-none {
    margin-top: 0;
}

.margin-bottom {
    margin-bottom: 8px;
}

.margin-bottom-none {
    margin-bottom: 0;
}

.pad-none{
    padding:0;
}

.pad-left {
    padding-left: 8px;
}

.pad-left4 {
    padding-left: 4px;
}

.pad-left-none {
    padding-left: 0;
}

.pad-right {
    padding-right: 8px;
}

.pad-right4 {
    padding-right: 4px;
}


.pad-right-none {
    padding-right: 0;
}

.pad-top {
    padding-top: 8px;
}

.pad-top4 {
    padding-top: 4px;
}

.pad-top10 {
    padding-top: 10px;
}

.pad-top-none {
    padding-top: 0;
}

.pad-bottom {
    padding-bottom: 8px;
}

.pad-bottom10 {
    padding-bottom: 10px;
}

.pad-bottom-none {
    padding-bottom: 0;
}

.text-left {
    text-align: left;
}

.text-center {
    text-align: center;
}

.text-right {
    text-align: right;
}

.vert-top {
    vertical-align: top;
}

.vert-middle {
    vertical-align: middle;
}

.vert-bottom {
    vertical-align: bottom;
}

pre {
    font-family: "Roboto Mono", monospace;
    font-size: 13px;
    margin-left: 25px;
}

.title {
    font-size: 36px;
    color: #e4d8a6;
    text-align: center;
}

.subtitle {
    font-size: 12px;
    color: #bbbbbb;
    text-align: center;
}

.subtitle-bright {
    font-size: 12px;
    font-weight: bold;
    color: #e4d8a6;
    text-align: center;
}

.indexname {
    font-size: 12px;
    color: #bbbbbb;
}

.indexup {
    font-size: 12px;
    color: green;
}

.indexdown {
    font-size: 12px;
    color: red;
}

.divider {
    height: 1px;
    width: 100%;
    background-color: #e4d8a6;
}

.divider-light {
    height: 1px;
    width: 100%;
    background-color: #e4d8a6;
}

td {
    font-size: 12px;
    padding-top: 2px;
    padding-bottom: 2px;
}

td.outlined {
    border: 1px solid black;
}

h2.pageTitle {
    text-shadow: 2px 2px 5px black;
}

td.watched {
    font-size: 12px;
    color: #bbbbbb;
}

a:link {
    color: #e4d8a6;
}

a:visited {
    color: #e4d8a6;
}

a:hover {
    color: #ece6d4;
}


@keyframes spin {
    0% {
        transform: rotateY(0deg);
    }

    100% {
        transform: rotateY(360deg);
    }
}

.spin {
    -webkit-animation: spin 0.5s linear;
    -moz-animation: spin 0.5s linear;
    -o-animation: spin 0.5s linear;
    animation: spin 0.5s linear;
    transform: translateX(50%);
    transform-origin: 50%;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: translateX(50%) rotateY(0deg);
        -webkit-transform-origin: 50%;
    }

    100% {
        -webkit-transform: translateX(50%) rotateY(360deg);
        -webkit-transform-origin: 50%;
    }
}

@-moz-keyframes spin {
    0% {
        -moz-transform: translateX(50%) rotateY(0deg);
        -moz-transform-origin: 50%;
    }

    100% {
        -moz-transform: translateX(50%) rotateY(360deg);
        -moz-transform-origin: 50%;
    }
}

@-o-keyframes spin {
    0% {
        -o-transform: translateX(50%) rotateY(0deg);
        -o-transform-origin: 50%;
    }

    100% {
        -o-transform: translateX(50%) rotateY(360deg);
        -o-transform-origin: 50%;
    }
}

@keyframes spin {
    0% {
        transform: translateX(50%) rotateY(0deg);
        transform-origin: 50%;
    }

    100% {
        transform: translateX(50%) rotateY(360deg);
        transform-origin: 50%;
    }
}

.daqi-low {
    font-weight: bold;
    color: #090
}

.daqi-moderate {
    font-weight: bold;
    color: #f90
}

.daqi-high {
    font-weight:bold;
    color: red
}

.daqi-very-high {
    font-weight:bold;
    color: #909
}

.switch {
    position: relative;
    display: inline-block;
    width: 40px;
    height: 22px;
}

/* Hide default HTML checkbox */
.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

/* The slider */
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #b38f5f;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 14px;
    width: 14px;
    left: 4px;
    bottom: 4px;
    background-color: #ede3c4;
    -webkit-transition: .2s;
    transition: .2s;
}

input:checked+.slider {
    background-color: #b38f5f;
}

input:focus+.slider {
    box-shadow: 0 0 1px #b38f5f;
}

input:checked+.slider:before {
    -webkit-transform: translateX(18px);
    -ms-transform: translateX(18px);
    transform: translateX(18px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 15px;
}

.slider.round:before {
    border-radius: 50%;
}

.border-left {
    border-left: 1px solid #333;
}

.border-right {
    border-right: 1px solid #333;
}

.border-top{
    border-top: 1px solid #333;
}

.border-bottom{
    border-bottom: 1px solid #333;
}

.toolbar {
    height: 30px;
    overflow: hidden;
    position: relative;
    color: #e4d8a6;
    background-color: #434f56;
    border-radius: 6px;
    border-top: 1px solid #333;
    border-left: 1px solid #333;
    border-bottom: 1px solid #222;
    border-right: 1px solid #222;
    box-shadow: 7px 7px 5px 0px rgba(22, 26, 29, 0.75);
    font-size: 12px;
    font-weight: normal;
    text-align: left;
    vertical-align: middle;
    background: linear-gradient(to bottom, #4e5c65, #21272b);
    padding-left:4px;
}

.toolbar button {
    margin-left: 4px;
    margin-top: 4px;
    background: linear-gradient(to bottom, #4e5c65, #21272b);
    border-radius: 4px;
    padding-inline: 4px;
    border-width: 1px;
    box-shadow: 3px 3px 4px 1px rgba(22, 26, 29, 0.75);
}

.toolbar p {
    width: 22px;
    height: 21px;
    margin: 0;
    border-radius: 4px;
    border-top: 1px solid #666;
    border-left: 1px solid #666;
    border-right: 1px solid #333;
    border-bottom: 1px solid #333;
    margin: 3px;
    text-align: center;
    vertical-align: middle;
    background: linear-gradient(to bottom, #4e5c65, #21272b);
}

.toolbar p:hover {
    background: linear-gradient(to bottom, #647682, #21272b);
}

/* Marquee */
.marquee {
    height: 30px;
    overflow: hidden;
    position: relative;
    color: #e4d8a6;
    background-color: #434f56;
    border-radius: 6px;
    border: 1px solid #333;
    box-shadow: 7px 7px 5px 0px rgba(22, 26, 29, 0.75);
    font-size: 12px;
    font-weight: normal;
    background: linear-gradient(to bottom, #4e5c65, #21272b);
}

.marquee:hover p {
    animation-play-state: paused;
}

.marquee p {
    position: absolute;
    width: 100%;
    height: 100%;
    margin: 0;
    line-height: 29px;
    text-align: center;
    transform: translateX(100%);
    animation: marquee linear infinite;
}

@keyframes marquee {
    0% {
        transform: translateX(100%);
    }

    100% {
        transform: translateX(-100%);
    }
}

/* Style the tab */
.tab {
    overflow: hidden;
    margin-top: 4px;
}

/* Style the buttons inside the tab */
.tab button {
    background-color: inherit;
    background: linear-gradient(to bottom, #4e5c65, #21272b);
    font-family: "Poppins", sans-serif;
    font-size: 12px;
    font-weight: normal;
    color: #b38f5f;

    float: left;
    border: none;
    outline: none;
    cursor: pointer;
    padding: 6px 12px;
    margin-top: 2px;
    transition: 0.3s;
    border: 1px solid #333;
    border-bottom: none;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

/* Create an active/current tablink class */
.tab button.active {
    background: linear-gradient(to bottom, #647682, #21272b);
    background-color: #ccc;
    color: #e4d8a6;
    padding-bottom: 8px;
    margin-top: 0px;
}

/* Change background color of buttons on hover */
.tab button:hover {
    background-color: #ddd;
    padding-bottom: 8px;
    margin-top: 0px;
}
.tab button:last-child {
    box-shadow: 7px 7px 5px 0px rgba(22, 26, 29, 0.75);
}


/* Style the tab content */
.tabcontent {
    display: none;
    padding: none;
    /*-webkit-animation: fadeEffect 1s;
    animation: fadeEffect 1s;*/
}

/* Fade in tabs */
@-webkit-keyframes fadeEffect {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes fadeEffect {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}